<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/scuart.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">scuart.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d0b/scuart_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __SCUART_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __SCUART_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga927460a86a8ed68229d40fc736eb251e">   32</a></span><span class="preprocessor">#define SCUART_CHAR_LEN_5     (0x3ul &lt;&lt; SC_UACTL_DATA_LEN_Pos)  </span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad3e1ba09b345b595b586d88e51d066ab">   33</a></span><span class="preprocessor">#define SCUART_CHAR_LEN_6     (0x2ul &lt;&lt; SC_UACTL_DATA_LEN_Pos)  </span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2a9c3dd4955ab26494e773c07d79652a">   34</a></span><span class="preprocessor">#define SCUART_CHAR_LEN_7     (0x1ul &lt;&lt; SC_UACTL_DATA_LEN_Pos)  </span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga44414b8c1a7255a01135a0e19d4509cc">   35</a></span><span class="preprocessor">#define SCUART_CHAR_LEN_8     (0)                               </span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4ba056464dc172c46a8c0def775d099c">   37</a></span><span class="preprocessor">#define SCUART_PARITY_NONE    (SC_UACTL_PBDIS_Msk)              </span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga78fd700049b5b8202a03a8bd57ed102f">   38</a></span><span class="preprocessor">#define SCUART_PARITY_ODD     (SC_UACTL_OPE_Msk)                </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2989fb7bc931875fa232c75de71c4e55">   39</a></span><span class="preprocessor">#define SCUART_PARITY_EVEN    (0)                               </span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2cf4a4b7772b91908d7d50fd88b56b93">   41</a></span><span class="preprocessor">#define SCUART_STOP_BIT_1     (SC_CTL_SLEN_Msk)                 </span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad4c40f7ebe7db0653beb72ae2c5a80f">   42</a></span><span class="preprocessor">#define SCUART_STOP_BIT_2     (0)                                </span><span class="comment">/* end of group NANO1X2_SCUART_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="comment">/* TX Macros */</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gadd0a4f5138328de77a59dc96d1fd6b05">   60</a></span><span class="preprocessor">#define SCUART_WRITE(sc, u8Data) ((sc)-&gt;THR = (u8Data))</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno"><a class="line" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaee1abdee3061becc4f947c7ec8ba89ad">   70</a></span><span class="preprocessor">#define SCUART_GET_TX_EMPTY(sc) ((sc)-&gt;TRSR &amp; SC_TRSR_TX_EMPTY_F_Msk)</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga156dbf7f35a69e25f2115822fccfa717">   80</a></span><span class="preprocessor">#define SCUART_GET_TX_FULL(sc) ((sc)-&gt;TRSR &amp; SC_TRSR_TX_FULL_F_Msk)</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span> </div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno"><a class="line" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gade9c698ba0339eb2d33e55dfc0a10b34">   89</a></span><span class="preprocessor">#define SCUART_WAIT_TX_EMPTY(sc) while((sc)-&gt;TRSR &amp; SC_TRSR_TX_ATV_Msk)</span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2ba407cb923c42d48d2a15de2eff42cb">   99</a></span><span class="preprocessor">#define SCUART_IS_TX_FULL(sc) ((sc)-&gt;TRSR &amp; SC_TRSR_TX_FULL_F_Msk ? 1 : 0)</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04534a2a36ecf8daa392db3fa859f24b">  109</a></span><span class="preprocessor">#define SCUART_IS_TX_EMPTY(sc) ((sc)-&gt;TRSR &amp; SC_TRSR_TX_ATV_Msk ? 0 : 1)</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span> </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span><span class="comment">/* RX Macros */</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span> </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno"><a class="line" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga88bae72589f1b3169b6f44141624547a">  120</a></span><span class="preprocessor">#define SCUART_READ(sc) ((sc)-&gt;RBR)</span></div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno"><a class="line" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1ca8f849e3eaeb01f952b6cb1dbe1541">  130</a></span><span class="preprocessor">#define SCUART_GET_RX_EMPTY(sc) ((sc)-&gt;TRSR &amp; SC_TRSR_RX_EMPTY_F_Msk)</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span> </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno"><a class="line" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae2d24494fa612e242b2ea2a60ee68be4">  141</a></span><span class="preprocessor">#define SCUART_GET_RX_FULL(sc) ((sc)-&gt;TRSR &amp; SC_TRSR_RX_FULL_F_Msk)</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span> </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno"><a class="line" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacb5fa124fb760f55f2a665ebf8c0adec">  152</a></span><span class="preprocessor">#define SCUART_IS_RX_READY(sc) ((sc)-&gt;ISR &amp; SC_ISR_RDA_IS_Msk ? 1 : 0)</span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span> </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno"><a class="line" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabed93c507f065541101aadad083ad977">  162</a></span><span class="preprocessor">#define SCUART_IS_RX_FULL(sc) ((sc)-&gt;TRSR &amp; SC_TRSR_RX_FULL_F_Msk ? 1 : 0)</span></div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span><span class="comment">/* Interrupt Macros */</span></div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span> </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno"><a class="line" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0732a8dc945c1bd0c4fd5bd6cdc0961f">  177</a></span><span class="preprocessor">#define SCUART_ENABLE_INT(sc, u32Mask) ((sc)-&gt;IER |= (u32Mask))</span></div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span> </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno"><a class="line" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafbd3b2c2a7dc29e3531b3b8b92727847">  190</a></span><span class="preprocessor">#define SCUART_DISABLE_INT(sc, u32Mask) ((sc)-&gt;IER &amp;= ~(u32Mask))</span></div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span> </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno"><a class="line" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gade73e9b025ce19a926ddef7538c51bcf">  205</a></span><span class="preprocessor">#define SCUART_GET_INT_FLAG(sc, u32Type) ((sc)-&gt;ISR &amp; u32Type ? 1 : 0)</span></div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span> </div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno"><a class="line" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf9aeac7b35c41df81ad822b37b023f11">  217</a></span><span class="preprocessor">#define SCUART_CLR_INT_FLAG(sc, u32Type) ((sc)-&gt;ISR = u32Type)</span></div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span> </div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno"><a class="line" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1734e7857902ed0f12467d7e6bfa9e3d">  228</a></span><span class="preprocessor">#define SCUART_GET_ERR_FLAG(sc) ((sc)-&gt;TRSR &amp; (SC_TRSR_RX_EPA_F_Msk | SC_TRSR_RX_EFR_F_Msk | SC_TRSR_RX_EBR_F_Msk))</span></div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span> </div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno"><a class="line" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga666f5152e172bb4c1cbd1dc4a06b0841">  240</a></span><span class="preprocessor">#define SCUART_CLR_ERR_FLAG(sc, u32Mask) ((sc)-&gt;TRSR = u32Mask)</span></div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span> </div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaee19cdbe4e45656a56c250577c1594c7">SCUART_Close</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a>* sc);</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>uint32_t <a class="code hl_function" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac5ef61f705cf44b678207aaecb2d8b35">SCUART_Open</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a>* sc, uint32_t u32baudrate);</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>uint32_t <a class="code hl_function" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b2ed639a9d9b3389a0252a3e0185ace">SCUART_Read</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a>* sc, uint8_t *pu8RxBuf, uint32_t u32ReadBytes);</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>uint32_t <a class="code hl_function" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99195e1a1d2f0b780a9ec769c5a6825a">SCUART_SetLineConfig</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a>* sc, uint32_t u32Baudrate, uint32_t u32DataWidth, uint32_t u32Parity, uint32_t  u32StopBits);</div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno">  246</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0023f5e961b902ed650fec7051b09f2b">SCUART_SetTimeoutCnt</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a>* sc, uint32_t u32TOC);</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga275c62ae8ce1ccbd4be6dd52a7ee6144">SCUART_Write</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a>* sc,uint8_t *pu8TxBuf, uint32_t u32WriteBytes);</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span> <span class="comment">/* end of group NANO1X2_SCUART_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span> <span class="comment">/* end of group NANO1X2_SCUART_Driver */</span></div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span> </div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>}</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span> </div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span><span class="preprocessor">#endif </span><span class="comment">//__SCUART_H__</span></div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span> </div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0023f5e961b902ed650fec7051b09f2b"><div class="ttname"><a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0023f5e961b902ed650fec7051b09f2b">SCUART_SetTimeoutCnt</a></div><div class="ttdeci">void SCUART_SetTimeoutCnt(SC_T *sc, uint32_t u32TOC)</div><div class="ttdoc">This function use to set receive timeout count.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4a/scuart_8c_source.html#l00184">scuart.c:184</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1b2ed639a9d9b3389a0252a3e0185ace"><div class="ttname"><a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1b2ed639a9d9b3389a0252a3e0185ace">SCUART_Read</a></div><div class="ttdeci">uint32_t SCUART_Read(SC_T *sc, uint8_t *pu8RxBuf, uint32_t u32ReadBytes)</div><div class="ttdoc">The function is used to read Rx data from RX FIFO.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4a/scuart_8c_source.html#l00113">scuart.c:113</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga275c62ae8ce1ccbd4be6dd52a7ee6144"><div class="ttname"><a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga275c62ae8ce1ccbd4be6dd52a7ee6144">SCUART_Write</a></div><div class="ttdeci">void SCUART_Write(SC_T *sc, uint8_t *pu8TxBuf, uint32_t u32WriteBytes)</div><div class="ttdoc">This function is to write data into transmit FIFO to send data out.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4a/scuart_8c_source.html#l00198">scuart.c:198</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga99195e1a1d2f0b780a9ec769c5a6825a"><div class="ttname"><a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga99195e1a1d2f0b780a9ec769c5a6825a">SCUART_SetLineConfig</a></div><div class="ttdeci">uint32_t SCUART_SetLineConfig(SC_T *sc, uint32_t u32Baudrate, uint32_t u32DataWidth, uint32_t u32Parity, uint32_t u32StopBits)</div><div class="ttdoc">This function use to config smartcard UART mode line setting.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4a/scuart_8c_source.html#l00153">scuart.c:153</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gac5ef61f705cf44b678207aaecb2d8b35"><div class="ttname"><a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac5ef61f705cf44b678207aaecb2d8b35">SCUART_Open</a></div><div class="ttdeci">uint32_t SCUART_Open(SC_T *sc, uint32_t u32baudrate)</div><div class="ttdoc">This function use to enable smartcard module UART mode and set baudrate.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4a/scuart_8c_source.html#l00091">scuart.c:91</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaee19cdbe4e45656a56c250577c1594c7"><div class="ttname"><a href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaee19cdbe4e45656a56c250577c1594c7">SCUART_Close</a></div><div class="ttdeci">void SCUART_Close(SC_T *sc)</div><div class="ttdoc">The function is used to disable smartcard interface UART mode.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d4a/scuart_8c_source.html#l00032">scuart.c:32</a></div></div>
<div class="ttc" id="astruct_s_c___t_html"><div class="ttname"><a href="../../d6/d6b/struct_s_c___t.html">SC_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l07543">Nano1X2Series.h:7544</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
